Refactor: JJB code
[ci-management.git] / jjb / ric-plt-dbaas / setup-dbaas-build-deb.sh
index 54bb9a4..5c2fe75 100644 (file)
@@ -1,76 +1,76 @@
-#!/bin/bash\r
-##############################################################################\r
-#\r
-#   Copyright (c) 2020 AT&T Intellectual Property.\r
-#   Copyright (c) 2020 Nokia.\r
-#   Copyright (c) 2020 HCL Technologies\r
-#\r
-#   Licensed under the Apache License, Version 2.0 (the "License");\r
-#   you may not use this file except in compliance with the License.\r
-#   You may obtain a copy of the License at\r
-#\r
-#       http://www.apache.org/licenses/LICENSE-2.0\r
-#\r
-#   Unless required by applicable law or agreed to in writing, software\r
-#   distributed under the License is distributed on an "AS IS" BASIS,\r
-#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
-#   See the License for the specific language governing permissions and\r
-#   limitations under the License.\r
-#\r
-##############################################################################\r
-\r
-# Installs prerequisites needed to compile & test SDL code\r
-# and build RPM/DEB packages on a Debian/Ubuntu machine.\r
-\r
-echo "--> setup-dbaas-build-deb.sh"\r
-\r
-# Ensure we fail the job if any steps fail.\r
-set -eux -o pipefail\r
-\r
-# NOTE: The valgrind false positive problem could also potentially be solved\r
-# with valgrind suppression files but that kind of approach may be fragile.\r
-\r
-# install prereqs\r
-sudo apt-get update && sudo apt-get -q -y install \\r
-   automake \\r
-    autoconf \\r
-    cmake \\r
-    curl \\r
-    g++ \\r
-    gcc \\r
-    libtool \\r
-    make \\r
-    pkg-config \\r
-    valgrind \\r
-    lcov\r
-\r
-# Cpputest built-in memory checks generate false positives in valgrind.\r
-# This is solved by compiling cpputest with memory checking disabled.\r
-\r
-mkdir -p cpputest/builddir\r
-cd cpputest\r
-\r
-curl -L https://github.com/cpputest/cpputest/releases/download/v3.8/cpputest-3.8.tar.gz | \\r
-    tar --strip-components=1 -xzf -\r
-cd builddir\r
-cmake -DMEMORY_LEAK_DETECTION=OFF .. && \\r
-sudo make install\r
-cd ../..\r
-# generate configure script\r
-cd redismodule\r
-./autogen.sh && \\r
-    ./configure && \\r
-sudo make test\r
-\r
-# generate configure script with memory checking disabled.\r
-\r
-./autogen.sh && \\r
-    ./configure --disable-unit-test-memcheck && \\r
-sudo make test\r
-cd ..\r
-\r
-#Copy configure to $WORKSPACE\r
-\r
-cp -r cpputest/* .\r
-\r
-echo "--> setup-dbaas-build-deb.sh ends"
\ No newline at end of file
+#!/bin/bash
+##############################################################################
+#
+#   Copyright (c) 2020 AT&T Intellectual Property.
+#   Copyright (c) 2020 Nokia.
+#   Copyright (c) 2020 HCL Technologies
+#
+#   Licensed under the Apache License, Version 2.0 (the "License");
+#   you may not use this file except in compliance with the License.
+#   You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+#
+##############################################################################
+
+# Installs prerequisites needed to compile & test SDL code
+# and build RPM/DEB packages on a Debian/Ubuntu machine.
+
+echo "--> setup-dbaas-build-deb.sh"
+
+# Ensure we fail the job if any steps fail.
+set -eux -o pipefail
+
+# NOTE: The valgrind false positive problem could also potentially be solved
+# with valgrind suppression files but that kind of approach may be fragile.
+
+# install prereqs
+sudo apt-get update && sudo apt-get -q -y install \
+   automake \
+    autoconf \
+    cmake \
+    curl \
+    g++ \
+    gcc \
+    libtool \
+    make \
+    pkg-config \
+    valgrind \
+    lcov
+
+# Cpputest built-in memory checks generate false positives in valgrind.
+# This is solved by compiling cpputest with memory checking disabled.
+
+mkdir -p cpputest/builddir
+cd cpputest
+
+curl -L https://github.com/cpputest/cpputest/releases/download/v3.8/cpputest-3.8.tar.gz | \
+    tar --strip-components=1 -xzf -
+cd builddir
+cmake -DMEMORY_LEAK_DETECTION=OFF .. && \
+sudo make install
+cd ../..
+# generate configure script
+cd redismodule
+./autogen.sh && \
+    ./configure && \
+sudo make test
+
+# generate configure script with memory checking disabled.
+
+./autogen.sh && \
+    ./configure --disable-unit-test-memcheck && \
+sudo make test
+cd ..
+
+#Copy configure to $WORKSPACE
+
+cp -r cpputest/* .
+
+echo "--> setup-dbaas-build-deb.sh ends"